List player profiles
curl --request GET \
--url https://controller.simplecloud.app/v0/players/profiles \
--header 'Authorization: Bearer <token>' \
--header 'X-Network-ID: <x-network-id>'import requests
url = "https://controller.simplecloud.app/v0/players/profiles"
headers = {
"X-Network-ID": "<x-network-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Network-ID': '<x-network-id>', Authorization: 'Bearer <token>'}
};
fetch('https://controller.simplecloud.app/v0/players/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://controller.simplecloud.app/v0/players/profiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Network-ID: <x-network-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://controller.simplecloud.app/v0/players/profiles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Network-ID", "<x-network-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://controller.simplecloud.app/v0/players/profiles")
.header("X-Network-ID", "<x-network-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://controller.simplecloud.app/v0/players/profiles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Network-ID"] = '<x-network-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"count": 5,
"profiles": [
{
"created_at": "2023-01-01T12:00:00Z",
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Steve",
"player_id": "069a79f4-44e9-4726-a5be-fca90e38aaf5",
"texture": "base64-encoded-texture"
}
],
"total": 10
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}players
List player profiles
Get a player’s profile history (name/skin changes)
GET
/
v0
/
players
/
profiles
List player profiles
curl --request GET \
--url https://controller.simplecloud.app/v0/players/profiles \
--header 'Authorization: Bearer <token>' \
--header 'X-Network-ID: <x-network-id>'import requests
url = "https://controller.simplecloud.app/v0/players/profiles"
headers = {
"X-Network-ID": "<x-network-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Network-ID': '<x-network-id>', Authorization: 'Bearer <token>'}
};
fetch('https://controller.simplecloud.app/v0/players/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://controller.simplecloud.app/v0/players/profiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Network-ID: <x-network-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://controller.simplecloud.app/v0/players/profiles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Network-ID", "<x-network-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://controller.simplecloud.app/v0/players/profiles")
.header("X-Network-ID", "<x-network-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://controller.simplecloud.app/v0/players/profiles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Network-ID"] = '<x-network-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"count": 5,
"profiles": [
{
"created_at": "2023-01-01T12:00:00Z",
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Steve",
"player_id": "069a79f4-44e9-4726-a5be-fca90e38aaf5",
"texture": "base64-encoded-texture"
}
],
"total": 10
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
BearerAuthNetworkCredential
JWT sent in Authorization: Bearer . Access depends on the token's network membership and permissions. The admin endpoint requires admin claims.
Headers
Network ID
Query Parameters
Player UUID (Minecraft UUID)
Limit results (default 50)
Offset for pagination
Was this page helpful?